(function() {
    tinymce.create('tinymce.plugins.divide', {
        init : function(ed, url) {
            ed.addButton('divide', {
                title : 'Add a divider',
                image : url+'/images/icon-line.png',
                onclick : function() {

                     ed.selection.setContent('[divide]');  

              }
            });
        },
        createControl : function(n, cm) {
            return null;
        }
    });
    tinymce.PluginManager.add('divide', tinymce.plugins.divide);
     
})();
